/* Craig Silvester | Porfolio Site | Q2-22 */

@import url('https://fonts.googleapis.com/css?family=Fredericka+the+Great&display=swap:300,400,800');
@import url('https://fonts.googleapis.com/icon?family=Material+Icons');
@import url('https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&family=Ubuntu:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Qwigley&display=swap');


:root {
    /* blues - dark to light*/
    --blue-1: hsl(205, 86%, 17%);
    --blue-2: hsl(205, 77%, 27%);
    --blue-3: hsl(205, 72%, 37%);
    --blue-4: hsl(205, 63%, 48%);
    --blue-5: hsl(205, 78%, 60%);
    --blue-6: hsl(205, 89%, 70%);
    --blue-7: hsl(205, 90%, 76%);
    --blue-8: hsl(205, 86%, 81%);
    --blue-9: hsl(205, 90%, 88%);
    --blue-10: hsl(205, 100%, 96%);
    /* greys - dark to light */
    --grey-1: hsl(209, 61%, 16%);
    --grey-2: hsl(211, 39%, 23%);
    --grey-3: hsl(209, 34%, 30%);
    --grey-4: hsl(209, 28%, 39%);
    --grey-5: hsl(210, 22%, 49%);
    --grey-6: hsl(209, 23%, 60%);
    --grey-7: hsl(211, 27%, 70%);
    --grey-8: hsl(210, 31%, 80%);
    --grey-9: hsl(212, 33%, 89%);
    --grey-10: hsl(210, 36%, 96%);
    /* browns */
    --bgbrn: rgba(225, 221, 209, 0.493);
    /* primary */
    --white: #fff;
    --black: #000;
    --near-black: #222;
    /* indicators */
    --dk-red: hsl(360, 67%, 44%);
    --lt-red: hsl(360, 71%, 66%);
    --dk-green: hsl(125, 67%, 44%);
    --lt-green: hsl(125, 71%, 66%);
    --gold: #c59d5f;
    --trbrn: rgba(61, 49, 17, .3);
    --dkbrn: rgb(61, 49, 17);
    
    --teal: #92f8ff;
    --dkteal: #5fa3a8;
    
    /* shadows */
    --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
    --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
    /* fonts & geometry */
    --font-primary: 'Ubuntu', sans-serif;
    --font-secondary: 'Qwigley', cursive;;
    --font-tertiary: 'Fredericka the Great', sans-serif;
    --transition: all 0.3s linear;
    --spacing: 0.1rem;
    --radius: 0.25rem;
    --max-width: 1170px;
    --fixed-width: 620px;
  }
  @keyframes fadeOut {
    0% {opacity: 1;}
    100% {opacity: 0;}
  }
  @-webkit-keyframes fadeOut {
    0% {opacity: 1;}
    100% {opacity: 0;}
  }

* {
    font-family: var(--font-primary);
    margin: 0;
    padding: 0;
}

@media (min-width: 501px) {
    .col-sm-6 {
        width: 50%;
    }
}

html, body {
    height: 100%;
    min-height: 18em;
}

.name-side {
    background: url(../assets/jpg/red-grunge-background.jpg) rgb(119,26,24);
    /*url("https://www.psdgraphics.com/file/red-grunge-background.jpg");*/
}

.link-side {
    background: url(../assets/jpg/retro-sunbeam.jpg) rgb(129,72,27);
    /* url("https://www.psdgraphics.com/file/retro-sunbeam.jpg");*/
}

.split-pane {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    color: var(--white);
    font-family: var(--font-tertiary);
    font-size: 2em;
    font-weight:300;
    height: 50%;
    min-height: 9em;
    padding-top: 1em;
}

@media(min-width: 501px) {
    .split-pane {
        padding-top: 2em;
        height: 100%;
    }
}

.split-pane > div {
  position: relative;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  text-align: center;
  z-index: 2;
}
.split-pane > div .text-content {
  line-height: 1.6em;
  margin-bottom: 1em;
}
.split-pane > div .title {
    text-transform: uppercase;
    font-size: .7em;
  }
  .split-pane > div .name {
    font-size: 2em;
  }

.contact-link {
    text-decoration: none;
    color: var(--white);
    cursor: pointer;
    transition: all .25s ease-in;
    
}
@media(min-width: 501px) {
    .contact-link:hover {
        text-decoration: none;
        color: var(--dkteal);
        cursor: pointer;
        letter-spacing: 4px;
        transition: all .25s ease-out;
    }
}
@media (max-width: 500px) {
    .contact-link:hover {
        text-decoration: none;
        color: var(--dkteal);
        cursor: pointer;
        transition: all .25s ease-out;
    }
}
#name-banner, .title{
    font-family: var(--font-tertiary);
}
.title {
    transition: all .25s ease-in;
}
  
.modal-call {
    background: none;
    border: 1px solid var(--white);
    border-radius: 5px;
    color: var(--white);
    cursor: pointer;
    display: inline-block;
    font-family: var(--font-primary);
    font-size: 0.5em;
    font-weight:800;
    padding:8px 16px;
    text-decoration: none;
    transition: all .25s ease-in-out;
    width: 17em;
    letter-spacing: 2px;
    
}

.modal-call:hover {
    text-decoration: none;
    background-color: var(--teal);
    border-color: var(--teal);
    color: var(--dkteal); 
    cursor: pointer;
    letter-spacing: 4px;
    box-shadow: 0 0 30px var(--teal);
    
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--trbrn);
    z-index: 2;
    display: none;
    animation: modal-open .5s;
}

@media(min-width: 501px) {
    .modal-content {
        background: var(--white);
        opacity: .95;
        margin-top: 100px;
        width: 70%;
        height: 75%;
        margin-left: auto;
        margin-right: auto;
        padding: 8px 24px;
        border-radius: 5px;
        z-index: 4;
        animation: modal-lift 1s;
        box-shadow: var(--black) 10px 10px 10px;
        overflow: hidden; 
    }
}

@media(max-width: 500px) {
    .modal-content {
        background: var(--white);
        opacity: .95;
        margin-top: 100px;
        width: 95%;
        height: 90%;
        margin-left: auto;
        margin-right: auto;
        padding: 3px 8px;
        border-radius: 5px;
        z-index: 4;
        overflow: hidden;
    }
    

}

.modal-header {
    font-weight: 500;
    padding: 10px 0;
    font-size: 26px;
    font-family: var(--font-tertiary);
}

.modal-header .modal-close {
    float: right;
    font-size: 15px;
    background: none;
    border: 0;
    outline: 0;
    padding: 5px;
    border-radius: 50%;
}

.modal-body {
    color: var(--dkbrn);
    padding: 15px;
    height: 100%;
    text-decoration: none;
}

.centered-container {
    text-align: center;
    margin-top: 100px;
        width: 70%;
        height: 75%;
        margin-left: auto;
        margin-right: auto;
}
#phone {
    font-size: 2.3em;
}
#call, #text {
    font-size: inherit;
}
.contacts {
    text-decoration: none;
    font-size: 120%;
    color: var(--dkbrn);
    transition: all .25s ease-in-out;
    padding-left: 14px;
    padding-right: 14px;
}
.mail {
    padding: 0;
    font-size: small;
}
.mail:hover {
    text-decoration: none;
    color: var(--dkteal);
    padding: 2px;
    letter-spacing: 1px;
}
#call:hover {
    text-decoration: none;
    padding-left: 9px;
    padding-right: 10px;
    letter-spacing: 2px;
}
#text:hover {
    text-decoration: none;
    padding-left: 10px;
    padding-right: 9px;
    letter-spacing: 2px;
}
.logo {
    height: 25px;
    width: 25px;
    transition: all .25s ease-in-out;
}
.logo:hover {
    height: 30px;
    width: 30px;
    text-decoration: none;
    transition: all .25s ease-in-out;
    background-color: var(--teal);
    border-color: var(--teal);
    border-radius: 50% ;
    color: var(--dkteal); 
    cursor: pointer;
    letter-spacing: 4px;
    box-shadow: 0 0 30px var(--teal);
}
.logo2 {
    height: 25px;
    width: 25px;
    }
.logo2:hover {
    text-decoration: none;
    background-color: var(--teal);
    border-color: var(--teal);
    border-radius: 50% ;
    color: var(--dkteal); 
    cursor: pointer;
    box-shadow: 0 0 30px var(--teal);
}

#dnld{
    margin-top: 10%;
}
.resume {
    margin-top: 10%;
    margin-bottom: 10%
}
.resume > a {
    font-size:.7em;
}
.resume > p {
    font-size: .7em;
}


.button-contacts  {
    text-decoration: none;
    background: none;
    border: 1px solid var(--white);
    border-radius: 5px;
    color: var(--dkbrn);
    cursor: pointer;
    display: inline-block;
    font-family: var(--font-tertiary);
    font-size: 0.5em;
    font-weight:800;
    padding:4px 16px;
    text-decoration: none;
    transition: all .25s ease-in-out;
    width: 10em;
    letter-spacing: 2px;
}
.button-contacts:hover {
    text-decoration: none;
    background-color: var(--teal);
    border-color: var(--teal);
    color: var(--dkteal); 
    cursor: pointer;
    letter-spacing: 4px;
    box-shadow: 0 0 30px var(--teal);
}
span {
    display: grid;
  }
#break > img {
     max-width: 20px;
     margin: 50px 10px;
 }
.micro {
    font-size: xx-small;
    text-decoration: none;
    color: var(--trbrn);  
}

@keyframes modal-open {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes modal-lift {
    from {
        box-shadow: var(--black) 0px 0px 0px;
        transform: scale(.1); 
    }
    40% {
        transform: scale(1.05);
        box-shadow: var(--black) 30px 30px 5px;
    }
    to {
        box-shadow: var(--black) 10px 10px 10px;
        transform: scale(1);
    }
}

#split-pane-or {
    text-align: center;
    width: 100%;
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    z-index: 1;
}

@media (max-width: 925px) {
    #split-pane-or {
        top:15%;
    }
}

#split-pane-or > div img {
  height: 3.5em;
}

@media (max-width: 500px) {
    #split-pane-or {
        position: absolute;
        top: 50px;
    }
    #split-pane-or > div img {
        height:2em;
    }
}
@media(min-width: 501px) {
    #split-pane-or {
        font-size: 3em;
    }
}

embed {
    width: 100%;
    height: 90%;

}

.error {
    margin-left: auto;
    margin-right: auto;
    margin-top: 10%;
    width: 50%;
    border: 3px solid var(--dkteal);
    padding: 70px 0;
    text-align: center;
    border-radius: 5px;
  }

  /* modal 3 stuff */
  .title {
    margin-top: .5rem;
    margin-bottom: 1rem;
  }
  .workplace {
    text-align: left;
  }
  .worktype {
    color: var(--gold);
    font-family: var(--font-secondary);
    text-align: right;
    margin-top: 0;
  }
  .title h3 {
    color: var(--gold);
    font-family: var(--font-secondary);
    text-align: center;
  }
  .job-icon {
    color: var(--gold);
    margin-right: 1em;
  }
  .info {
    color: var(--gold);
    font-style: italic;
    letter-spacing: 3px;
    margin-bottom: 5%;
  }
  .section-center {
    max-width: 100%;
  }
  li {
    list-style-type: none;
    margin-left: 1em;
  }
  .list-item {
    background: var(--white);
    border-radius: var(--radius);
    box-shadow: var(--light-shadow);
    padding: 1rem 1.5rem 0 1.5rem;
    margin: 0 .3rem 1rem .3rem;
  }
  .list-item-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 1rem;
  }
  .list-item-title p {
    margin-bottom: 0;
    letter-spacing: var(--spacing);
    color: var(--dkbrn);
    font-family: var(--font-primary);
  }
  .list-item-btn {
    font-size: 1.5rem;
    background: transparent;
    border-color: transparent;
    cursor: pointer;
    color: var(--gold);
    transition: var(--transition);
  }
  .list-item-btn:hover {
    text-decoration: none;
    color: var(--dkteal);
    cursor: pointer;
    transition: all .25s ease-out;
  }
  .list-item-text {
    padding: 1rem 0 1.5rem 0;
    border-top: 1px solid rgba(0, 0, 0, 0.2);
    font-family: var(--font-primary);
  }
  .list-item-text p {
    margin-bottom: 0;
  }
  
  /* hide text */
  .list-item-text {
    display: none;
  }
  .show-text .list-item-text {
    display: block;
  }
  .minus-icon {
    display: none;
  }
  .show-text .minus-icon {
    display: inline;
  }
  .show-text .plus-icon {
    display: none;
  }
  .temp{
    border: var(--near-black) dotted 1px;
  }
